Package org.apache.solr.client.solrj.impl

## Class SolrHttpClientBuilder

- java.lang.Object
- - org.apache.solr.client.solrj.impl.SolrHttpClientBuilder

    @Deprecated(since="9.0")
    public class SolrHttpClientBuilder
    extends Object

Deprecated.
Please look into using Solr's new Http2 clients
Builder class for configuring internal HttpClients. This relies on the internal HttpClient implementation and is subject to change.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

Nested Classes
`static interface` `SolrHttpClientBuilder.AuthSchemeRegistryProvider` Deprecated.
`static interface` `SolrHttpClientBuilder.CookieSpecRegistryProvider` Deprecated.
`static interface` `SolrHttpClientBuilder.CredentialsProviderProvider` Deprecated.

### Constructor Summary

Constructors
`protected` `SolrHttpClientBuilder()` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static SolrHttpClientBuilder` `create()` Deprecated.
`SolrHttpClientBuilder.AuthSchemeRegistryProvider` `getAuthSchemeRegistryProvider()` Deprecated.
`SolrHttpClientBuilder.CookieSpecRegistryProvider` `getCookieSpecRegistryProvider()` Deprecated.
`SolrHttpClientBuilder.CredentialsProviderProvider` `getCredentialsProviderProvider()` Deprecated.
`SolrHttpClientBuilder` `setAuthSchemeRegistryProvider​(SolrHttpClientBuilder.AuthSchemeRegistryProvider authSchemeRegistryProvider)` Deprecated.
`SolrHttpClientBuilder` `setCookieSpecRegistryProvider​(SolrHttpClientBuilder.CookieSpecRegistryProvider cookieSpecRegistryProvider)` Deprecated.
`SolrHttpClientBuilder` `setDefaultCredentialsProvider​(SolrHttpClientBuilder.CredentialsProviderProvider credentialsProviderProvider)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SolrHttpClientBuilder

    protected SolrHttpClientBuilder()

Deprecated.

### Method Detail

#### create

    public static SolrHttpClientBuilder create()

Deprecated.

#### setCookieSpecRegistryProvider

    public final SolrHttpClientBuilder setCookieSpecRegistryProvider​(SolrHttpClientBuilder.CookieSpecRegistryProvider cookieSpecRegistryProvider)

Deprecated.

#### setDefaultCredentialsProvider

    public final SolrHttpClientBuilder setDefaultCredentialsProvider​(SolrHttpClientBuilder.CredentialsProviderProvider credentialsProviderProvider)

Deprecated.

#### setAuthSchemeRegistryProvider

    public final SolrHttpClientBuilder setAuthSchemeRegistryProvider​(SolrHttpClientBuilder.AuthSchemeRegistryProvider authSchemeRegistryProvider)

Deprecated.

#### getAuthSchemeRegistryProvider

    public SolrHttpClientBuilder.AuthSchemeRegistryProvider getAuthSchemeRegistryProvider()

Deprecated.

#### getCookieSpecRegistryProvider

    public SolrHttpClientBuilder.CookieSpecRegistryProvider getCookieSpecRegistryProvider()

Deprecated.

#### getCredentialsProviderProvider

    public SolrHttpClientBuilder.CredentialsProviderProvider getCredentialsProviderProvider()

Deprecated.